Bug 149709 - zsh doesn't source /etc/profile.d/*.sh
zsh doesn't source /etc/profile.d/*.sh
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: zsh (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Colin Walters
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-25 12:27 EST by H.J. Lu
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: zsh-4.2.0-3.EL
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-02 06:02:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2005-02-25 12:27:10 EST
[hjl@gnu-64 sharable]$ cat /etc/zprofile
#
# /etc/zprofile and ~/.zprofile are run for login shells
#

# all bourne shells should source /etc/profile


PATH="$PATH:$HOME/bin"
export PATH
[hjl@gnu-64 sharable]$ rpm -qf /etc/zprofile
zsh-4.0.7-1

A better one should look like

[hjl@gnu applied]$ rpm -qf /etc/zprofile
zsh-4.2.0-3
[hjl@gnu applied]$ cat /etc/zprofile
#
# /etc/zprofile and ~/.zprofile are run for login shells
#

PATH="$PATH:$HOME/bin"
export PATH

# source profile
if [ -f /etc/profile ]; then
        source /etc/profile
fi
Comment 1 H.J. Lu 2006-10-31 14:21:09 EST
zsh-4.2.0-3.EL in EL4 U4 is OK. But I wasn't allowed to close this bug.
Comment 2 Daniel Qarras 2007-04-14 12:19:13 EDT
I can confirm that this is fixed in latest FC6/RHEL4.

Someone please close this one.

Note You need to log in before you can comment on or make changes to this bug.